import { Construct } from "constructs";
import { IBucket } from "aws-cdk-lib/aws-s3";
export declare class DestinationBucketOptions {
    readonly bucket: IBucket;
    readonly region: string;
}
export declare class ReplicationRoleProps {
    readonly sourceBucket: IBucket;
    readonly destinationBuckets: DestinationBucketOptions[];
}
export declare class ReplicationRole extends Construct {
    constructor(scope: Construct, id: string, props: ReplicationRoleProps);
}
